baz_depuncture_ff Class Reference
GNU Radio baz C++ Signal Processing Blocks

square a stream of floats. More...

`#include <baz_depuncture_ff.h>`

Inheritance diagram for baz_depuncture_ff:
[legend]

## Public Member Functions

| ~baz_depuncture_ff ()
void | set_matrix (const std::vector< int > &matrix)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_depuncture_ff_sptr | baz_make_depuncture_ff (const std::vector< int > &matrix)
| Return a shared_ptr to a new instance of baz_depuncture_ff.

## Detailed Description

square a stream of floats.

See also
  howto_square2_ff for a version that subclasses gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_depuncture_ff()

baz_depuncture_ff::~baz_depuncture_ff | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_depuncture_ff::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_depuncture_ff::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_matrix()

void baz_depuncture_ff::set_matrix | ( | const std::vector< int > & | matrix | ) |

## Friends And Related Symbol Documentation

## baz_make_depuncture_ff

BAZ_API baz_depuncture_ff_sptr baz_make_depuncture_ff | ( | const std::vector< int > & | matrix | ) |

friend

Return a shared_ptr to a new instance of baz_depuncture_ff.

To avoid accidental use of raw pointers, baz_depuncture_ff's constructor is private. baz_make_depuncture_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_depuncture_ff.h